Polarix.io
    • Introduction to the Polarix.io API
    • Polarix.io Interface & Branding
    • Authentication
      POST
    • Users
      GET
    • Project List
      GET
    • Project
      GET
    • Project Structure
      GET
    • Project Lexicon
      GET
    • Project Glossary
      GET
    • Project Tags
      GET
    • Project Items
      GET
    • Project Abbreviations
      GET
    • Project References
      GET
    • Project Resources
      GET
    • Project History
      GET
    • Project Search
      GET

      Project History

      LIVE
      https://app.polarix.io
      LIVE
      https://app.polarix.io
      GET
      https://app.polarix.io
      /api/{version}/projects/{project_id}/history
      Retrieves Project change history based on the {project_id} path parameter. Project ID is retrieved by calling the "Project List" endpoint.
      Filtering can be performed by providing a {date} and/or {since} parameter.
      Calling this endpoint with no query parameters will return all changes since the last published date.

      Request

      Authorization
      Provide your bearer token in the
      Authorization
      header when making requests to protected resources.
      Example:
      Authorization: Bearer ********************
      Path Params

      Query Params

      Header Params

      Request Code Samples

      Shell
      JavaScript
      Java
      Swift
      Go
      PHP
      Python
      HTTP
      C
      C#
      Objective-C
      Ruby
      OCaml
      Dart
      R
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location -g --request GET 'https://app.polarix.io/api/1.0/projects/6582ed0344adfe123d04f772/history?date=2024-05-02&since=0' \
      --header 'x-api-key: bfa770cb2281e260557d5a51462d6194' \
      --header 'Accept: application/json' \
      --header 'Authorization: Bearer <token>'

      Responses

      🟢200Success — JSON
      application/json
      Body

      Example
      [
          {
              "user": {
                  "id": 1,
                  "name": "Justin Erswell",
                  "file": "https://lhg-digital.s3.us-east-1.amazonaws.com/polarixv2/users/JustinErswell.jpeg"
              },
              "type": "Added to Project",
              "model": "App\\Models\\ItemContent",
              "timestamp": "2024-05-13T09:33:02.000000Z",
              "revision": {
                  "key": "created_at",
                  "old_value": null,
                  "new_value": "2024-05-13 09:33:02"
              },
              "object_id": 7168
          },
          {
              "user": {
                  "id": 1,
                  "name": "Justin Erswell",
                  "file": "https://lhg-digital.s3.us-east-1.amazonaws.com/polarixv2/users/JustinErswell.jpeg"
              },
              "type": "Added to Project",
              "model": "App\\Models\\Item",
              "timestamp": "2024-05-13T09:33:02.000000Z",
              "revision": {
                  "key": "created_at",
                  "old_value": null,
                  "new_value": "2024-05-13 09:33:02"
              },
              "object_id": 7243
          },
          {
              "user": {
                  "id": 1,
                  "name": "Justin Erswell",
                  "file": "https://lhg-digital.s3.us-east-1.amazonaws.com/polarixv2/users/JustinErswell.jpeg"
              },
              "type": "Added to Project",
              "model": "App\\Models\\Item",
              "timestamp": "2024-05-13T09:33:01.000000Z",
              "revision": {
                  "key": "created_at",
                  "old_value": null,
                  "new_value": "2024-05-13 09:33:01"
              },
              "object_id": 7242
          },
          {
              "user": {
                  "id": 1,
                  "name": "Justin Erswell",
                  "file": "https://lhg-digital.s3.us-east-1.amazonaws.com/polarixv2/users/JustinErswell.jpeg"
              },
              "type": "Added to Project",
              "model": "App\\Models\\ItemContent",
              "timestamp": "2024-05-13T09:33:01.000000Z",
              "revision": {
                  "key": "created_at",
                  "old_value": null,
                  "new_value": "2024-05-13 09:33:01"
              },
              "object_id": 7167
          },
          {
              "user": {
                  "id": 1,
                  "name": "Justin Erswell",
                  "file": "https://lhg-digital.s3.us-east-1.amazonaws.com/polarixv2/users/JustinErswell.jpeg"
              },
              "type": "Added to Project",
              "model": "App\\Models\\Item",
              "timestamp": "2024-05-13T09:33:00.000000Z",
              "revision": {
                  "key": "created_at",
                  "old_value": null,
                  "new_value": "2024-05-13 09:33:00"
              },
              "object_id": 7241
          },
          {
              "user": {
                  "id": 1,
                  "name": "Justin Erswell",
                  "file": "https://lhg-digital.s3.us-east-1.amazonaws.com/polarixv2/users/JustinErswell.jpeg"
              },
              "type": "Added to Project",
              "model": "App\\Models\\ItemContent",
              "timestamp": "2024-05-13T09:33:00.000000Z",
              "revision": {
                  "key": "created_at",
                  "old_value": null,
                  "new_value": "2024-05-13 09:33:00"
              },
              "object_id": 7166
          },
          {
              "user": {
                  "id": 1,
                  "name": "Justin Erswell",
                  "file": "https://lhg-digital.s3.us-east-1.amazonaws.com/polarixv2/users/JustinErswell.jpeg"
              },
              "type": "Edited",
              "model": "App\\Models\\ProjectUserRole",
              "timestamp": "2024-05-02T17:51:59.000000Z",
              "revision": {
                  "key": "role",
                  "old_value": "owner",
                  "new_value": "admin"
              },
              "object_id": 45
          },
          {
              "user": {
                  "id": 1,
                  "name": "Justin Erswell",
                  "file": "https://lhg-digital.s3.us-east-1.amazonaws.com/polarixv2/users/JustinErswell.jpeg"
              },
              "type": "Edited",
              "model": "App\\Models\\ProjectUserRole",
              "timestamp": "2024-05-02T17:51:59.000000Z",
              "revision": {
                  "key": "role",
                  "old_value": "admin",
                  "new_value": "owner"
              },
              "object_id": 243
          },
          {
              "user": {
                  "id": 1,
                  "name": "Justin Erswell",
                  "file": "https://lhg-digital.s3.us-east-1.amazonaws.com/polarixv2/users/JustinErswell.jpeg"
              },
              "type": "Deleted",
              "model": "App\\Models\\Comment",
              "timestamp": "2024-04-16T16:45:31.000000Z",
              "revision": {
                  "key": "deleted_at",
                  "old_value": null,
                  "new_value": "2024-04-16 16:45:31"
              },
              "object_id": 3752
          },
          {
              "user": {
                  "id": 1,
                  "name": "Justin Erswell",
                  "file": "https://lhg-digital.s3.us-east-1.amazonaws.com/polarixv2/users/JustinErswell.jpeg"
              },
              "type": "Added to Project",
              "model": "App\\Models\\Comment",
              "timestamp": "2024-04-16T16:44:38.000000Z",
              "revision": {
                  "key": "created_at",
                  "old_value": null,
                  "new_value": "2024-04-16 16:44:38"
              },
              "object_id": 3752
          },
          {
              "user": {
                  "id": 1,
                  "name": "Justin Erswell",
                  "file": "https://lhg-digital.s3.us-east-1.amazonaws.com/polarixv2/users/JustinErswell.jpeg"
              },
              "type": "Added to Project",
              "model": "App\\Models\\ItemContentAttachment",
              "timestamp": "2024-04-16T16:41:58.000000Z",
              "revision": {
                  "key": "created_at",
                  "old_value": null,
                  "new_value": "2024-04-16 16:41:58"
              },
              "object_id": 731
          },
          {
              "user": {
                  "id": 1,
                  "name": "Justin Erswell",
                  "file": "https://lhg-digital.s3.us-east-1.amazonaws.com/polarixv2/users/JustinErswell.jpeg"
              },
              "type": "Added to Project",
              "model": "App\\Models\\Attachment",
              "timestamp": "2024-04-16T16:41:57.000000Z",
              "revision": {
                  "key": "created_at",
                  "old_value": null,
                  "new_value": "2024-04-16 16:41:57"
              },
              "object_id": 11934
          },
          {
              "user": {
                  "id": 1,
                  "name": "Justin Erswell",
                  "file": "https://lhg-digital.s3.us-east-1.amazonaws.com/polarixv2/users/JustinErswell.jpeg"
              },
              "type": "Added to Project",
              "model": "App\\Models\\Abbreviation",
              "timestamp": "2024-04-16T16:38:58.000000Z",
              "revision": {
                  "key": "created_at",
                  "old_value": null,
                  "new_value": "2024-04-16 16:38:58"
              },
              "object_id": 1365
          },
          {
              "user": {
                  "id": 1,
                  "name": "Justin Erswell",
                  "file": "https://lhg-digital.s3.us-east-1.amazonaws.com/polarixv2/users/JustinErswell.jpeg"
              },
              "type": "Added to Project",
              "model": "App\\Models\\Lexicon",
              "timestamp": "2024-04-16T16:36:54.000000Z",
              "revision": {
                  "key": "created_at",
                  "old_value": null,
                  "new_value": "2024-04-16 16:36:54"
              },
              "object_id": 503
          },
          {
              "user": {
                  "id": 1,
                  "name": "Justin Erswell",
                  "file": "https://lhg-digital.s3.us-east-1.amazonaws.com/polarixv2/users/JustinErswell.jpeg"
              },
              "type": "Added to Project",
              "model": "App\\Models\\ItemContentTag",
              "timestamp": "2024-04-16T16:32:32.000000Z",
              "revision": {
                  "key": "created_at",
                  "old_value": null,
                  "new_value": "2024-04-16 16:32:32"
              },
              "object_id": 3608
          },
          {
              "user": {
                  "id": 1,
                  "name": "Justin Erswell",
                  "file": "https://lhg-digital.s3.us-east-1.amazonaws.com/polarixv2/users/JustinErswell.jpeg"
              },
              "type": "Added to Project",
              "model": "App\\Models\\ItemContentTag",
              "timestamp": "2024-04-16T16:32:30.000000Z",
              "revision": {
                  "key": "created_at",
                  "old_value": null,
                  "new_value": "2024-04-16 16:32:30"
              },
              "object_id": 3607
          },
          {
              "user": {
                  "id": 1,
                  "name": "Justin Erswell",
                  "file": "https://lhg-digital.s3.us-east-1.amazonaws.com/polarixv2/users/JustinErswell.jpeg"
              },
              "type": "Added to Project",
              "model": "App\\Models\\ItemContentTag",
              "timestamp": "2024-04-16T16:32:24.000000Z",
              "revision": {
                  "key": "created_at",
                  "old_value": null,
                  "new_value": "2024-04-16 16:32:24"
              },
              "object_id": 3606
          },
          {
              "user": {
                  "id": 1,
                  "name": "Justin Erswell",
                  "file": "https://lhg-digital.s3.us-east-1.amazonaws.com/polarixv2/users/JustinErswell.jpeg"
              },
              "type": "Added to Project",
              "model": "App\\Models\\ItemContentTag",
              "timestamp": "2024-04-16T16:32:17.000000Z",
              "revision": {
                  "key": "created_at",
                  "old_value": null,
                  "new_value": "2024-04-16 16:32:17"
              },
              "object_id": 3605
          },
          {
              "user": {
                  "id": 1,
                  "name": "Justin Erswell",
                  "file": "https://lhg-digital.s3.us-east-1.amazonaws.com/polarixv2/users/JustinErswell.jpeg"
              },
              "type": "Added to Project",
              "model": "App\\Models\\ItemContentTag",
              "timestamp": "2024-04-16T16:32:05.000000Z",
              "revision": {
                  "key": "created_at",
                  "old_value": null,
                  "new_value": "2024-04-16 16:32:05"
              },
              "object_id": 3604
          },
          {
              "user": {
                  "id": 1,
                  "name": "Justin Erswell",
                  "file": "https://lhg-digital.s3.us-east-1.amazonaws.com/polarixv2/users/JustinErswell.jpeg"
              },
              "type": "Edited",
              "model": "App\\Models\\ItemContent",
              "timestamp": "2024-04-16T16:29:03.000000Z",
              "revision": {
                  "key": "text",
                  "old_value": "Using the recommended techniques for the administration of notrealgliovax can help to reduce injection-site reactions.",
                  "new_value": "<a href=\"javascript:void(0);\" id=\"8897\" class=\"fresh animate__animated animate__fadeIn\">Using the recommended techniques for the administration of notrealgliovax can help to reduce injection-site reactions.</a>"
              },
              "object_id": 514
          },
          {
              "user": {
                  "id": 1,
                  "name": "Justin Erswell",
                  "file": "https://lhg-digital.s3.us-east-1.amazonaws.com/polarixv2/users/JustinErswell.jpeg"
              },
              "type": "Edited",
              "model": "App\\Models\\ItemContent",
              "timestamp": "2024-04-16T16:28:34.000000Z",
              "revision": {
                  "key": "text",
                  "old_value": "Following notrealgliovax administration, 25% of patients experienced injection site reactions; however, these reactions were easily managed.",
                  "new_value": "<a href=\"javascript:void(0);\" id=\"8896\" class=\"fresh animate__animated animate__fadeIn\">Following notrealgliovax administration, 25% of patients experienced injection site reactions; however, these reactions were easily managed.</a>"
              },
              "object_id": 513
          }
      ]
      🔴500Server Error — JSON
      🟢200Success — XML
      🟠401Unauthorized — JSON
      🟠401Unauthorized — XML
      🔴500Server Error — XML
      Modified at 2026-04-02 11:42:52
      Previous
      Project Resources
      Next
      Project Search
      Built with